<div class="container-perfil">
  <!-- Sección 1: Foto de perfil -->
  <h3 class="h3-style">Mi cuenta</h3>
  <div class="foto_editar">
    <span>Foto de perfil</span>
    <figure>
      <img class="cambiarFoto" [src]="usuario.ImgUrl" alt="Foto de perfil">
      <p-fileUpload name="file[]" [customUpload]="true" (uploadHandler)="cargarNuevaImagen($event)" class="oculto" mode="basic" accept="image/*" [maxFileSize]="1000000" [auto]="true" chooseIcon="uil uil-camera-change">
      </p-fileUpload>
    </figure>
    <!-- Botones para quitar o cambiar la foto de perfil -->
    <div class="acciones">
      <button class="btn btn-primary-1" (click)="confirmar()">Quitar foto</button>
      <p-fileUpload mode="basic" [customUpload]="true" (uploadHandler)="cargarNuevaImagen($event)" accept="image/*" [maxFileSize]="1000000" [auto]="true"
        chooseLabel="Cambiar imagen" chooseIcon="uil uil-camera-change"></p-fileUpload>
    </div>
  </div>

  <p-divider></p-divider>

  <!-- Sección 2: Datos personales -->
  <h3 class="h3-style">Datos personales</h3>
  <div class="container-datos_usuario">
    <div class="dato_usuario">
      <label for="nombre">Nombre</label>
      <span *ngIf="!edicion; else editarNombre">{{ usuario.Nombre }}</span>
      <ng-template #editarNombre>
        <input type="text" class="inpt_secon" id="nombre" [(ngModel)]="usuario.Nombre" (keyup)="validarTexto($event, 'Nombre')">
      </ng-template>
    </div>

    <div class="dato_usuario">
      <label for="a_paterno">Primer apellido</label>
      <span *ngIf="!edicion; else editarApellidoP">{{ usuario.PrimerApellido}}</span>
      <ng-template #editarApellidoP>
        <input type="text" class="inpt_secon" id="a_paterno" [(ngModel)]="usuario.PrimerApellido" (keyup)="validarTexto($event, 'PrimerApellido')">
      </ng-template>
    </div>

    <div class="dato_usuario">
      <label for="a_materno">Segundo apellido</label>
      <span *ngIf="!edicion; else editarApellidoM"> {{ usuario.SegundoApellido }} </span>
      <ng-template #editarApellidoM>
        <input type="text" class="inpt_secon" id="a_materno" [(ngModel)]="usuario.SegundoApellido" (keyup)="validarTexto($event, 'SegundoApellido')">
      </ng-template>
    </div>

    <div class="dato_usuario">
      <label for="celular">Celular</label>
      <span *ngIf="!edicion; else editar">{{ usuario.NumeroTelefono }}</span>
      <ng-template #editar>
        <input type="number" class="inpt_secon" id="celular" [(ngModel)]="usuario.NumeroTelefono">
      </ng-template>
    </div>

    <div class="dato_usuario">
      <label for="genero">Genero</label>
      <span *ngIf="!edicion; else editarGenero">{{ usuario.Genero === 'F' ? 'Femenino' : 'Masculino' }}</span>
      <ng-template #editarGenero>
        <p-dropdown [options]="generos" [(ngModel)]="usuario.Genero" optionValue="code" optionLabel="name" class="inpt_secon"
              placeholder="Género"></p-dropdown>
      </ng-template>
    </div>

    <div class="dato_usuario">
      <label for="fecha_nac">Fecha de nacimiento</label>
      <span *ngIf="!edicion; else editarFechaNac">{{ fechaNacimiento }}</span>
      <ng-template #editarFechaNac>
        <p-calendar [(ngModel)]="usuario.FechaNacimiento" [ngModelOptions]="{standalone: true}" class="inpt_secon" [minDate]="fechaMinima" [maxDate]="fechaMaxima"></p-calendar>
      </ng-template>
    </div>
  </div>

  <div class="container-botones_editar">
    <button class="btn btn-secondary-1" *ngIf="!edicion; else editarHab" (click)="habilitarEdicion(true)">Editar</button>
    <ng-template #editarHab>
      <button class="btn btn-primary-1" (click)="habilitarEdicion(false)">Cancelar</button>
      <button class="btn btn-secondary-1" (click)="confirmarEdicion()">Guardar</button>
    </ng-template>
  </div>
</div>

<!-- Dialogos de confirmación -->
<p-confirmDialog [style]="{width: '30vw'}">
  <ng-template pTemplate="header">
    <h3>{{ titulo }}</h3>
  </ng-template>
  <ng-template pTemplate="footer">
    <button class="btn btn-primary-1" (click)="cancelar()">CANCELAR</button>
    <button class="btn btn-secondary-1" (click)="guardarCambios()"
      *ngIf="metodoEdicion; else editarFoto">CONFIRMAR</button>
    <ng-template #editarFoto>
      <button class="btn btn-secondary-1" (click)="aceptar()">CONFIRMAR</button>
    </ng-template>
  </ng-template>
</p-confirmDialog>

<div class="dialog-container-general">
  <p-dialog header="Verificación de SMS" [(visible)]="dialogSMS" [style]="{width: 'auto'}" [modal]="true"
    (onHide)="codigoVerificacion = ''">
    <div class="contenedor">
      <div class="txt_field">
        <input type="number" id="sms" class="inpt" autocomplete="off" placeholder=" " [(ngModel)]="codigoVerificacion">
        <label for="sms" class="inpt_label">Código SMS...</label>
      </div>

      <div class="actions">
        <button class="btn btn-primary-1" (click)="validarSMS()">Comprobar</button>
        <p [className]="tiempoEspera !== 0 ? 'link_inactivo' : 'p_link'"
          (click)="tiempoEspera != 0 ? false : verificarNumero()">Solicitar nuevo código <span
            *ngIf="tiempoEspera != 0">en: {{ tiempoEspera }}</span></p>
      </div>
    </div>
  </p-dialog>
</div>

<app-loading-overlay *ngIf="mostrarSpinner" [mensaje]="mensajeSpinner"></app-loading-overlay>
